
.title, h2 {
  color: var(--showgirlOrange);
}

.title {
  font-size: 1.3em;
}

h2 {
  font-size: 1em;
}

h1, h2,
.currentBooks {
  display: flex;
  justify-content: center;
}

.currentBooks img {
  max-width: 50vw;
}

.shelf {
  overflow: hidden;
}

.library {
  width: 100%;
  padding-top: 30px;
  padding-bottom: 65px;
  background-image: url("/images/infiniteBookShelf.png");
}

.books {
  display: flex;
  width: max-content;
  animation: scroll 40s linear infinite;
}

header {
  z-index: 9999;
}

.books img {
  width: 140px;
  margin-right: 20px;
}

.books:hover {
  animation-play-state: paused;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

p {
  padding-left: 20px;
  padding-right: 20px;
  text-align: justify;
}

* {
  box-sizing: border-box;
}

form {
  max-width: 100%;
  margin: 0 auto;
}

legend {
  display: flex;
  flex-direction: flex-end;
  padding-bottom: 10px;
  font-weight: bold;
}

.form-section {
  margin-bottom: 20px;
  padding: 20px;
}

button {
  padding: 10px 20px;
  border-radius: 10px;
  border: 1px solid grey;
  background-color: #dddddd;
  width: 30%;
  margin: 0 auto;
  display: block;
}

.form-selection button {
  background: var(--orangeGradient);
  border: var(--showgirlOrange) solid 1px;
  font-size: 16px;
  color: #eeeeee;
}

button:hover {
  color: black;
  cursor: pointer;
  border: none;
  text-decoration: underline;
}


textarea {
  margin-top: 10px;
  width: 100%;
  height: 200px;
}

.separator {
  display: flex;
  margin-top: 30px;
  align-items: center;
}

.separator label {
  flex: 2;
}

.separator input {
  flex: 6;
  height: 30px;
}

fieldset input {
  margin: 0 10px 0 0;
}

.wholeForm {
  margin-left: 20px;
  margin-right: 20px;
}

@media (min-width: 768px) and (hover: hover) {

.structure {
  display: flex;
  flex-direction: column-reverse;
}

.title {
  font-size: 3em;
}

p {
  font-size: 14pt;
}

.wholeForm {
  margin-left: 200px;
  margin-right: 200px;
}

.separator label {
  padding-left: 200px;
}

.separator input {
  margin-right: 200px;
}

p {
  padding-left: 200px;
  padding-right: 200px;
}

.books img:hover {
  transform: scale(2);
}

.books img {
  transition: transform 0.5s ease;
}

/*
removed because only modern browsers support this
kept because I may use it later

.library:has(img:hover) {
  overflow: visible;
}
  
*/

}
